API reference
PUTRequires Bearer token
Update a model step
/api/workflows/models/{model}/steps/update/{step}
Update /api/workflows/models/{model}/steps/update/{step}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.
Path parameters
| Field | Type | Description |
|---|---|---|
model Required | string | Path parameter model. |
step Required | string | Path parameter step. |
Query parameters
This endpoint has no query parameters.
Request body
| Field | Type | Description |
|---|---|---|
name | string | Step name. |
description | string | Description. |
users | array | Candidate user ids. |
roles | array | Candidate role ids. |
type | string | unidirectionnel or conditionnel.e.g. "unidirectionnel" |
actions | array | [{ "libelle": "Valider", "action": "validate" }]. |
Responses
| Status | Meaning |
|---|---|
| 200 | Success |
| 401 | Missing or invalid Bearer token. |